<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Cruz</title>

    <style>
        .box {
            width: 100px;
            height: 100px;
            position: relative;
            transform: rotate(45deg);
        }
        .center {
            width: 30px;
            height: 30px;
            background-color: #ccc;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            z-index: 1;
        }
        .vertical {
            width: 30px;
            height: 100px;
            left: 50%;
            position: absolute;
            transform: translateX(-50%);
            background-color: red;
        }

        .horizontal {
            width: 100px;
            height: 30px;
            top: 50%;
            position: absolute;
            transform: translateY(-50%);
            background-color: black;
        }
    </style>
</head>
<body>
    <div class="box">
        <div class="center"></div>
        <div class="vertical"></div>
        <div class="horizontal"></div>
    </div>
</body>
</html>